package com.backend.web.ibdtool.dto;


import com.backend.web.ibdtool.model.Doctor;
import com.backend.web.ibdtool.model.NotificationModel;
import com.backend.web.ibdtool.model.BodyStat;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.util.HashSet;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonAutoDetect
@JsonFormat
public class EntityDTO {
    private String email;
    private String name;
    private String surname;
    private String SSN;
    private String phoneNumber;
    private String role;
    private LocalDate birthDate;
    private String birthPlace;

    // DOTTORE
    //private List<Patient> patients; // non ritornare
    private String doctorID;

    // PAZIENTE
    private Doctor doctor;
    private BodyStat bodyStat;
    private HashSet<String> questionnaires;

    // TUTTI
    private String jwt;
    private long expiration;

    private HashSet<NotificationModel> notifications;
}