package com.backend.web.ibdtool.entity;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import lombok.Builder;
import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.time.LocalDateTime;

@Document(collection = "questionnaires")
@Data
@Builder
@JsonAutoDetect
public class QuestionnaireHADS implements Serializable {

    @Id
    private String id;

    private String type;

    private String doctorID;
    private String patientSSN;


    private Boolean compiled;

    private LocalDateTime date;
    private String[] results;
    private int finalScore;

    private Boolean read;
    // true if OK
    private Boolean evaluation;
    // true if Segnalato
    private Boolean warning;
}
