package com.backend.web.ibdtool.firebase;

import com.backend.web.ibdtool.exceptions.UserNotFoundException;
import com.backend.web.ibdtool.model.NotificationModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.*;

@RestController
public class NotificationController {

    @Autowired
    private NotificationService notificationService;

    @PostMapping("/notification/subscribe")
    public void subscribeToService(@RequestBody SubscriptionRequestDto subscriptionRequestDto) throws UserNotFoundException {
        notificationService.subscribeToService(subscriptionRequestDto);
    }

    @PostMapping("/private/notifications/read/{email}")
    public ResponseEntity<String> readNotification(
            @PathVariable String email,
            @RequestBody NotificationModel notificationModel,
            Model model) throws UserNotFoundException {
        model.addAttribute(email);
        notificationService.readNotification(email, notificationModel);

        return ResponseEntity.ok("Read notification");
    }

    @PostMapping("/private/notifications/remove/{email}")
    public ResponseEntity<String> removeNotification(
            @PathVariable String email,
            @RequestBody NotificationModel notificationModel,
            Model model) throws UserNotFoundException {
        model.addAttribute(email);
        notificationService.removeNotification(email, notificationModel);

        return ResponseEntity.ok("Removed notification");
    }

    @PostMapping("private/notifications/remove-all/{email}")
    public ResponseEntity<String> clearAllNotifications(@PathVariable String email, Model model) throws UserNotFoundException {

        model.addAttribute(email);
        notificationService.clearAllNotifications(email);

        return ResponseEntity.ok("Removed notification");
    }

}
