package com.backend.web.ibdtool.repository;

import com.backend.web.ibdtool.entity.QuestionnaireHBI;
import com.backend.web.ibdtool.entity.UserEntity;
import com.backend.web.ibdtool.model.Role;
import org.springframework.data.mongodb.repository.MongoRepository;

import javax.swing.text.html.Option;
import java.util.ArrayList;
import java.util.List;
import java.util.Optional;

public interface UserRepository extends MongoRepository<UserEntity, String> {

    Optional<UserEntity> findByEmail(String email);

    Optional<UserEntity> findByEmailAndPassword(String email, String password);

    Optional<UserEntity> findByEnabledAndUuidAndRegistrationTimeGreaterThan(boolean enabled, String uuid, long registrationTime);

    Optional<UserEntity> findByEmailAndSSN(String email, String SSN);

    Optional<UserEntity> findByDoctorID(String doctorID);

    Optional<UserEntity> findBySSN(String SSN);

    Optional<UserEntity> findByUuid(String uuid);

    Optional<ArrayList<UserEntity>> findAllByCategory(String category);

    Optional<ArrayList<UserEntity>> findAllByDoctorExists(boolean exists);
}
