package com.backend.web.ibdtool.scheduling;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.*;

@RestController
public class SchedulerController {

    @Autowired
    private SchedulerService schedulerService;

    @PreAuthorize("hasAnyAuthority('DOTTORE')")
    @PostMapping("private/doctor/add-job/{doctorID}/{patientSSN}/{type}")
    public ResponseEntity<String> addJob(@PathVariable String doctorID,
                                           @PathVariable String patientSSN,
                                           @PathVariable String type,
                                           @RequestBody int timer,
                                           Model model) {

        model.addAttribute(doctorID);
        model.addAttribute(patientSSN);
        model.addAttribute(type);

        schedulerService.startTask(doctorID, patientSSN, type, timer);

        return ResponseEntity.ok("New job set for patient");
    }

    @PreAuthorize("hasAnyAuthority('DOTTORE')")
    @PostMapping("private/doctor/kill-job/{doctorID}/{patientSSN}/{type}")
    public ResponseEntity<String> killJob(@PathVariable String doctorID,
                                           @PathVariable String patientSSN,
                                           @PathVariable String type,
                                           Model model) {

        model.addAttribute(doctorID);
        model.addAttribute(patientSSN);
        model.addAttribute(type);

        schedulerService.killJob(doctorID, patientSSN, type);

        return ResponseEntity.ok("Job killed");
    }

}
