import {animate, animateChild, group, query, style, transition, trigger} from '@angular/animations';

export const slider =
  trigger('routeAnimations', [
    transition('Startup => *', [
      query(':enter, :leave', [
        style({
          position: 'absolute',
          top: 0,
          right: 0,
          width: '100%'
        })
      ], { optional: true }),
      query(':enter', [
        style({ right: '-100%'})
      ]),
      group([
        query(':leave', [
          animate('600ms ease', style({ right: '100%'}))
        ], { optional: true }),
        query(':enter', [
          animate('600ms ease', style({ right: '0%'}))
        ])
      ]),
      // Normalize the page style... Might not be necessary
      // Required only if you have child animations on the page
      query(':leave', animateChild()),
      query(':enter', animateChild()),
    ]),
    transition('* => Startup', [
      query(':enter, :leave', [
        style({
          position: 'absolute',
          top: 0,
          left: 0,
          width: '100%'
        })
      ], { optional: true }),
      query(':enter', [
        style({ left: '-100%'})
      ]),
      group([
        query(':leave', [
          animate('600ms ease', style({ left: '100%'}))
        ], { optional: true }),
        query(':enter', [
          animate('600ms ease', style({ left: '0%'}))
        ])
      ]),
      // Normalize the page style... Might not be necessary
      // Required only if you have child animations on the page
      query(':leave', animateChild()),
      query(':enter', animateChild()),
    ]),
    transition('* => Inside', [
      query(':enter, :leave', [
        style({
          position: 'absolute',
          top: 0,
          left: 0,
          width: '100%'
        })
      ], { optional: true }),
      query(':enter', [
        style({ left: '-100%'})
      ]),
      group([
        query(':leave', [
          animate('600ms ease', style({ left: '100%'}))
        ], { optional: true }),
        query(':enter', [
          animate('600ms ease', style({ left: '0%'}))
        ])
      ]),
      // Normalize the page style... Might not be necessary
      // Required only if you have child animations on the page
      query(':leave', animateChild()),
      query(':enter', animateChild()),
    ]),
    transition('Inside => *', [
      query(':enter, :leave', [
        style({
          position: 'absolute',
          top: 0,
          left: 0,
          width: '100%'
        })
      ], { optional: true }),
      query(':enter', [
        style({ left: '-100%'})
      ]),
      group([
        query(':leave', [
          animate('600ms ease', style({ left: '100%'}))
        ], { optional: true }),
        query(':enter', [
          animate('600ms ease', style({ left: '0%'}))
        ])
      ]),
      // Normalize the page style... Might not be necessary
      // Required only if you have child animations on the page
      query(':leave', animateChild()),
      query(':enter', animateChild()),
    ]),
  ]);
