export enum BackendApi {
  LOGIN = 'auth/login',
  LOGOUT = 'auth/logout',
  EDIT_PROFILE = 'private/user/edit-profile',
  KEEP_ALIVE = 'private/user/keep-alive',
  PULL_UPDATES = 'private/user/pull-updates/',
  CHECK_PATIENT_ACTIVATION = 'private/patient/is-enabled/',
  ENABLE_PATIENT = 'private/patient/enable-patient/',
  QUESTIONNAIRE_SEND = 'private/patient/questionnaire/send',
  REGISTRATION = 'public/register',
  RECOVER_PWD = 'auth/login/recover-password',
  CHANGE_PWD = 'auth/login/change-password',
  CONFIRM_CHANGE_PWD = 'auth/login/change-password-confirm/',
  GET_PATIENTS = 'private/doctor/get-patients/',
  GET_GLOBAL_PATIENTS = 'private/doctor/get-global-patients/',
  GET_QUESTIONNAIRES = 'private/doctor/get-questionnaires/',
  GET_QUESTIONNAIRES_PATIENT = 'private/patient/get-questionnaires/',
  PATIENT_REGISTRATION = 'private/doctor/register-patient/',
  REMOVE_PATIENT = 'private/doctor/remove-patient/',
  SET_QUESTIONNAIRES = 'private/doctor/set-questionnaires/',
  REMOVE_QUESTIONNAIRE = 'private/doctor/remove-questionnaire/',
  CREATE_AND_SEND_QUESTIONNAIRE = 'private/doctor/create-and-send-questionnaire/',
  ADD_JOB = 'private/doctor/add-job/',
  KILL_JOB = 'private/doctor/kill-job/',
  EDIT_PATIENT_CLINICAL_PROFILE = 'private/doctor/edit-patient-clinical-profile/',
  DELETE_NOTE = 'private/doctor/delete-note/',
  READ_QUESTIONNAIRE = 'private/doctor/read-questionnaire/',
  WARN_DOCTOR = 'private/patient/warn-doctor-for-questionnaire/',
  GET_UPDATED_QUESTIONNAIRES = 'private/patient/get-updated-questionnaires/',
  GET_ALL_PENDING = 'private/patient/get-pending/',
  SUBSCRIBE_TO_TOPIC = 'notification/subscribe',
  REMOVE_NOTIFICATION = 'private/notifications/remove/',
  READ_NOTIFICATION = 'private/notifications/read/',
  CLEAR_ALL_NOTIFICATIONS= 'private/notifications/remove-all/',
  GET_JOBS = 'private/doctor/get-jobs/',
  EVALUATE_QUESTIONNAIRE = 'private/doctor/evaluate-questionnaire/',
}

export const localhost = 'http://localhost:8080/';
