import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { AuthGuardService as AuthGuard } from '../services/auth-guard.service';

import { StartupComponent } from '../components/startup/startup.component';
import { LoginComponent } from '../components/user-actions/login/login.component';
import { PatientPanelComponent } from '../components/doctor-management/patient-panel/patient-panel.component';
// tslint:disable-next-line:max-line-length
import {QuestionnaireIbdDiskComponent} from '../components/patient-management/questionnaires-all/questionnaire-ibd-disk/questionnaire-ibd-disk.component';
import {SuccessComponent} from '../components/user-actions/success/success.component';
import {ErrorComponent} from '../components/user-actions/error/error.component';
import {RegistrationComponent} from '../components/user-actions/registration/registration.component';
import {PasswordChangeComponent} from '../components/pwd-management/password-change/password-change.component';
import {LandingComponent} from '../components/page-composition/landing/landing.component';
import {PatientsControlPanelComponent} from '../components/doctor-management/patients-control-panel/patients-control-panel.component';
// tslint:disable-next-line:max-line-length
import {QuestionnaireEq5d5lComponent} from '../components/patient-management/questionnaires-all/questionnaire-eq5d5l/questionnaire-eq5d5l.component';
// tslint:disable-next-line:max-line-length
import {QuestionnaireEortcQlqComponent} from '../components/patient-management/questionnaires-all/questionnaire-eortc-qlq/questionnaire-eortc-qlq.component';
// tslint:disable-next-line:max-line-length
import {QuestionnaireTsqmComponent} from '../components/patient-management/questionnaires-all/questionnaire-tsqm/questionnaire-tsqm.component';
// tslint:disable-next-line:max-line-length
import {QuestionnaireSibdqComponent} from '../components/patient-management/questionnaires-all/questionnaire-sibdq/questionnaire-sibdq.component';
// tslint:disable-next-line:max-line-length
import {QuestionnaireWpaiUcComponent} from '../components/patient-management/questionnaires-all/questionnaire-wpai-uc/questionnaire-wpai-uc.component';
import {QuestionnaireHbiComponent} from '../components/patient-management/questionnaires-all/questionnaire-hbi/questionnaire-hbi.component';
import {QuestionnairesComponent} from '../components/patient-management/questionnaires/questionnaires.component';
import {PatientRegistrationComponent} from '../components/doctor-management/patient-registration/patient-registration.component';
import {
  PatientQuestionnairePanelComponent,
} from '../components/doctor-management/patient-questionnaire-panel/patient-questionnaire-panel.component';
// tslint:disable-next-line:max-line-length
import {PatientQuestionnairesShowComponent} from '../components/doctor-management/patient-questionnaires-show/patient-questionnaires-show.component';
import {PasswordChangeConfirmComponent} from '../components/pwd-management/password-change-confirm/password-change-confirm.component';
import {ConfirmedComponent} from '../components/user-actions/confirmed/confirmed.component';
import {NotificationsComponent} from '../components/page-composition/notifications/notifications.component';
// tslint:disable-next-line:max-line-length
import {QuestionnairesCompletedComponent} from '../components/patient-management/questionnaires-completed/questionnaires-completed.component';
import {QuestionnairesShowComponent} from '../components/patient-management/questionnaires-show/questionnaires-show.component';
import {SettingsComponent} from '../components/page-composition/settings/settings.component';
// tslint:disable-next-line:max-line-length
import {QuestionnaireClinicalSCCAIComponent} from '../components/patient-management/questionnaires-all/questionnaire-clinical-sccai/questionnaire-clinical-sccai.component';
// tslint:disable-next-line:max-line-length
import {QuestionnaireHadsComponent} from '../components/patient-management/questionnaires-all/questionnaire-hads/questionnaire-hads.component';
// tslint:disable-next-line:max-line-length
import {QuestionnaireIpaqSfComponent} from '../components/patient-management/questionnaires-all/questionnaire-ipaq-sf/questionnaire-ipaq-sf.component';
// tslint:disable-next-line:max-line-length
import {QuestionnaireMiahCdComponent} from '../components/patient-management/questionnaires-all/questionnaire-miah-cd/questionnaire-miah-cd.component';
// tslint:disable-next-line:max-line-length
import {QuestionnaireMiahUcComponent} from '../components/patient-management/questionnaires-all/questionnaire-miah-uc/questionnaire-miah-uc.component';
// tslint:disable-next-line:max-line-length
import {QuestionnaireMmas8Component} from '../components/patient-management/questionnaires-all/questionnaire-mmas8/questionnaire-mmas8.component';
// tslint:disable-next-line:max-line-length
import {QuestionnairePatientSCCAIComponent} from '../components/patient-management/questionnaires-all/questionnaire-patient-sccai/questionnaire-patient-sccai.component';
// tslint:disable-next-line:max-line-length
import {QuestionnairePhq9Component} from '../components/patient-management/questionnaires-all/questionnaire-phq9/questionnaire-phq9.component';
// tslint:disable-next-line:max-line-length
import {QuestionnairePrismComponent} from '../components/patient-management/questionnaires-all/questionnaire-prism/questionnaire-prism.component';
// tslint:disable-next-line:max-line-length
import {QuestionnairePsqiComponent} from '../components/patient-management/questionnaires-all/questionnaire-psqi/questionnaire-psqi.component';
// tslint:disable-next-line:max-line-length
import {PatientsGlobalControlPanelComponent} from '../components/doctor-management/patients-global-control-panel/patients-global-control-panel.component';

const routes: Routes = [
  { path: '', component: StartupComponent},
  { path: 'startup', component: StartupComponent, pathMatch: 'full'},
  { path: 'login', component: LoginComponent, pathMatch: 'full'},
  { path: 'change-password', component: PasswordChangeComponent, pathMatch: 'full'},
  { path: 'change-password-confirm/:uuid', component: PasswordChangeConfirmComponent, pathMatch: 'full'},
  { path: 'registration', component: RegistrationComponent, pathMatch: 'full'},
  { path: 'landing', component: LandingComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  { path: 'settings', component: SettingsComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  { path: 'notifications', component: NotificationsComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  { path: 'patients-global-control-panel', component: PatientsGlobalControlPanelComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  { path: 'patients-control-panel', component: PatientsControlPanelComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  { path: 'patient-panel/:ssn/:back', component: PatientPanelComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  { path: 'patient-registration', component: PatientRegistrationComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'patient-questionnaire-panel/:ssn/:back', component: PatientQuestionnairePanelComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'patient-questionnaires-show/:ssn/:type/:back', component: PatientQuestionnairesShowComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  { path: 'success', component: SuccessComponent, pathMatch: 'full'},
  { path: 'error', component: ErrorComponent, pathMatch: 'full'},
  { path: 'confirmed-account', component: ConfirmedComponent, pathMatch: 'full'},
  { path: 'questionnaires', component: QuestionnairesComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  { path: 'questionnaires-completed', component: QuestionnairesCompletedComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  { path: 'questionnaires-show/:type', component: QuestionnairesShowComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'questionnaire-compile/clinical-sccai/:uuid/:doctorID/:patientSSN', component: QuestionnaireClinicalSCCAIComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'questionnaire-compile/eortc-qlq/:uuid/:doctorID/:patientSSN', component: QuestionnaireEortcQlqComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'questionnaire-compile/eq5d5l/:uuid/:doctorID/:patientSSN', component: QuestionnaireEq5d5lComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'questionnaire-compile/hads/:uuid/:doctorID/:patientSSN', component: QuestionnaireHadsComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'questionnaire-compile/hbi/:uuid/:doctorID/:patientSSN', component: QuestionnaireHbiComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'questionnaire-compile/ibd-disk/:uuid/:doctorID/:patientSSN', component: QuestionnaireIbdDiskComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'questionnaire-compile/ipaq-sf/:uuid/:doctorID/:patientSSN', component: QuestionnaireIpaqSfComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'questionnaire-compile/miah-cd/:uuid/:doctorID/:patientSSN', component: QuestionnaireMiahCdComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'questionnaire-compile/miah-uc/:uuid/:doctorID/:patientSSN', component: QuestionnaireMiahUcComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'questionnaire-compile/mmas8/:uuid/:doctorID/:patientSSN', component: QuestionnaireMmas8Component, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'questionnaire-compile/patient-sccai/:uuid/:doctorID/:patientSSN', component: QuestionnairePatientSCCAIComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'questionnaire-compile/phq9/:uuid/:doctorID/:patientSSN', component: QuestionnairePhq9Component, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'questionnaire-compile/prism/:uuid/:doctorID/:patientSSN', component: QuestionnairePrismComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'questionnaire-compile/psqi/:uuid/:doctorID/:patientSSN', component: QuestionnairePsqiComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'questionnaire-compile/sibdq/:uuid/:doctorID/:patientSSN', component: QuestionnaireSibdqComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'questionnaire-compile/tsqm/:uuid/:doctorID/:patientSSN', component: QuestionnaireTsqmComponent, pathMatch: 'full', canActivate: [AuthGuard]},
  // tslint:disable-next-line:max-line-length
  { path: 'questionnaire-compile/wpai-uc/:uuid/:doctorID/:patientSSN', component: QuestionnaireWpaiUcComponent, pathMatch: 'full', canActivate: [AuthGuard]},

];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})

export class RouteConfig { }
