/* --- QUESTIONNAIRE CONFIG --- */

export interface QuestionnaireMIAHUC {
  position: number;
  question: string;
  answers: string[];
}

export const Q_MIAH_UC: QuestionnaireMIAHUC[] = [
  {
    position: 1, question: 'Attività di malattia riferita dal paziente' ,
    answers: [
      '1',
      '2',
      '3',
      '4',
      '5',
      '6',
      '7',
      '8',
      '9',
      '10'
    ]
  },
  {
    position: 2, question: 'Sanguinamento rettale:',
    answers: [
      'Sì',
      'No'
    ]
  },
  {
    position: 3, question: 'Numero di evacuazioni al giorno:',
    answers: null
  },
  {
    position: 4, question: 'Urgenza evacuativa:',
    answers: [
      'No',
      'Sì, urgente',
      'Sì, molto urgente'
    ]
  },
  {
    position: 5, question: 'Dolore addominale' ,
    answers: [
      '1',
      '2',
      '3',
      '4',
      '5',
      '6',
      '7',
      '8',
      '9',
      '10'
    ]
  }
];

/* ------------ RESULTS CONFIGURATION + CONSTRUCTOR ------------ */

export class MIAHUCResults {
  patientSSN: string;
  doctorID: string;
  results: string[];
  finalScore: number;

  constructor(doctorID: string, patientSSN: string, results: string[], finalScore: number) {
    this.doctorID = doctorID;
    this.patientSSN = patientSSN;
    this.results = results;
    this.finalScore = finalScore;
  }

}
