import { Injectable } from '@angular/core';
import {
  QuestionnaireClinicalSCCAIResult,
  QuestionnaireEORTCResult,
  QuestionnaireEQ5D5LResult,
  QuestionnaireHADSResult,
  QuestionnaireHBIResult,
  QuestionnaireIBDDiskResult,
  QuestionnaireIPAQSFResult,
  QuestionnaireMIAHCDResult,
  QuestionnaireMIAHUCResult,
  QuestionnaireMMAS8Result,
  QuestionnairePatientSCCAIResult,
  QuestionnairePHQ9Result, QuestionnairePRISMResult,
  QuestionnairePSQIResult,
  QuestionnaireSIBDQResult,
  QuestionnaireTSQMResult,
  QuestionnaireWPAIUCResult
} from '../model/questionnaires/questionnaire-results';
import {BackendApi, localhost} from '../config/backend-api';
import {HttpClient} from '@angular/common/http';

@Injectable({
  providedIn: 'root'
})
export class PatientService {

  doctorID = '';
  ssn = '';

  constructor(private httpClient: HttpClient) {
    this.doctorID = JSON.parse(localStorage.getItem('doctor')).doctorID;
    this.ssn = JSON.parse(localStorage.getItem('user')).ssn;
  }

  getQuestionnairesClinicalSCCAI(type: string) {
    // tslint:disable-next-line:max-line-length
    return this.httpClient.get<QuestionnaireClinicalSCCAIResult[]>(localhost + BackendApi.GET_QUESTIONNAIRES_PATIENT + type + '/' + this.doctorID + '/' + this.ssn, {observe: 'response'});
  }
  getQuestionnairesEORTC(type: string) {
    // tslint:disable-next-line:max-line-length
    return this.httpClient.get<QuestionnaireEORTCResult[]>(localhost + BackendApi.GET_QUESTIONNAIRES_PATIENT + type + '/' + this.doctorID + '/' + this.ssn, {observe: 'response'});
  }
  getQuestionnairesEQ5D5L(type: string) {
    // tslint:disable-next-line:max-line-length
    return this.httpClient.get<QuestionnaireEQ5D5LResult[]>(localhost + BackendApi.GET_QUESTIONNAIRES_PATIENT + type + '/' + this.doctorID + '/' + this.ssn, {observe: 'response'});
  }
  getQuestionnairesHADS(type: string) {
    // tslint:disable-next-line:max-line-length
    return this.httpClient.get<QuestionnaireHADSResult[]>(localhost + BackendApi.GET_QUESTIONNAIRES_PATIENT + type + '/' + this.doctorID + '/' + this.ssn, {observe: 'response'});
  }
  getQuestionnairesHBI(type: string) {
    // tslint:disable-next-line:max-line-length
    return this.httpClient.get<QuestionnaireHBIResult[]>(localhost + BackendApi.GET_QUESTIONNAIRES_PATIENT + type + '/' + this.doctorID + '/' + this.ssn, {observe: 'response'});
  }
  getQuestionnairesIBDDisk(type: string) {
    // tslint:disable-next-line:max-line-length
    return this.httpClient.get<QuestionnaireIBDDiskResult[]>(localhost + BackendApi.GET_QUESTIONNAIRES_PATIENT + type + '/' + this.doctorID + '/' + this.ssn, {observe: 'response'});
  }
  getQuestionnairesIPAQSF(type: string) {
    // tslint:disable-next-line:max-line-length
    return this.httpClient.get<QuestionnaireIPAQSFResult[]>(localhost + BackendApi.GET_QUESTIONNAIRES_PATIENT + type + '/' + this.doctorID + '/' + this.ssn, {observe: 'response'});
  }

  getQuestionnairesMIAHCD(type: string) {
    // tslint:disable-next-line:max-line-length
    return this.httpClient.get<QuestionnaireMIAHCDResult[]>(localhost + BackendApi.GET_QUESTIONNAIRES_PATIENT + type + '/' + this.doctorID + '/' + this.ssn, {observe: 'response'});
  }

  getQuestionnairesMIAHUC(type: string) {
    // tslint:disable-next-line:max-line-length
    return this.httpClient.get<QuestionnaireMIAHUCResult[]>(localhost + BackendApi.GET_QUESTIONNAIRES_PATIENT + type + '/' + this.doctorID + '/' + this.ssn, {observe: 'response'});
  }

  getQuestionnairesMMAS8(type: string) {
    // tslint:disable-next-line:max-line-length
    return this.httpClient.get<QuestionnaireMMAS8Result[]>(localhost + BackendApi.GET_QUESTIONNAIRES_PATIENT + type + '/' + this.doctorID + '/' + this.ssn, {observe: 'response'});
  }

  getQuestionnairesPatientSCCAI(type: string) {
    // tslint:disable-next-line:max-line-length
    return this.httpClient.get<QuestionnairePatientSCCAIResult[]>(localhost + BackendApi.GET_QUESTIONNAIRES_PATIENT + type + '/' + this.doctorID + '/' + this.ssn, {observe: 'response'});
  }

  getQuestionnairesPHQ9(type: string) {
    // tslint:disable-next-line:max-line-length
    return this.httpClient.get<QuestionnairePHQ9Result[]>(localhost + BackendApi.GET_QUESTIONNAIRES_PATIENT + type + '/' + this.doctorID + '/' + this.ssn, {observe: 'response'});
  }

  getQuestionnairesPRISM(type: string) {
    // tslint:disable-next-line:max-line-length
    return this.httpClient.get<QuestionnairePRISMResult[]>(localhost + BackendApi.GET_QUESTIONNAIRES_PATIENT + type + '/' + this.doctorID + '/' + this.ssn, {observe: 'response'});
  }

  getQuestionnairesPSQI(type: string) {
    // tslint:disable-next-line:max-line-length
    return this.httpClient.get<QuestionnairePSQIResult[]>(localhost + BackendApi.GET_QUESTIONNAIRES_PATIENT + type + '/' + this.doctorID + '/' + this.ssn, {observe: 'response'});
  }

  getQuestionnairesSIBDQ(type: string) {
    // tslint:disable-next-line:max-line-length
    return this.httpClient.get<QuestionnaireSIBDQResult[]>(localhost + BackendApi.GET_QUESTIONNAIRES_PATIENT + type + '/' + this.doctorID + '/' + this.ssn, {observe: 'response'});
  }
  getQuestionnairesTSQM(type: string) {
    // tslint:disable-next-line:max-line-length
    return this.httpClient.get<QuestionnaireTSQMResult[]>(localhost + BackendApi.GET_QUESTIONNAIRES_PATIENT + type + '/' + this.doctorID + '/' + this.ssn, {observe: 'response'});
  }
  getQuestionnairesWPAIUC(type: string) {
    // tslint:disable-next-line:max-line-length
    return this.httpClient.get<QuestionnaireWPAIUCResult[]>(localhost + BackendApi.GET_QUESTIONNAIRES_PATIENT + type + '/' + this.doctorID + '/' + this.ssn, {observe: 'response'});
  }

  getUpdatedQuestionnaires() {
    return this.httpClient.get<string[]>(localhost + BackendApi.GET_UPDATED_QUESTIONNAIRES + this.ssn);
  }
}
